package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class UserDataDetailBean {

    /**
     * id : null
     * createDateTime : null
     * updateDateTime : null
     * mainInfo : {"id":"31","isDelete":null,"createDateTime":null,"updateDateTime":null,"feedbackInfoNo":"FEED20040100099","customerUserCode":"cust2","customerUserName":"客户2","salesCompanyCode":"company2","salesCompanyName":"公司2","salesManagerCode":"manager3","salesManagerName":"经理3","steelmakingInfoCode":"STEEL20040100099","feedbackDateTime":null,"createUserId":"","createUserName":null,"updateUserId":"398c852b38e911ea8334fa163e1166bd","updateUserName":"hello","isCustomerArchives":false,"approvalUserId":"398c852b38e911ea8334fa163e1166bd","approvalUserName":"hello","approvalDateTime":1586253261000,"approvalStatus":2,"remark":null,"treeId":null,"treeName":null,"treeParentId":null,"steelmakingWorksCode":null,"steelmakingWorksName":null,"annualOutput":null,"steelGrade":null,"continuousCasterName":null,"continuousCasterType":null,"delete":null}
     * steelInfo : {"id":"21","createDateTime":null,"updateDateTime":null,"steelmakingInfoCode":"STEEL20040100099","steelmakingWorksCode":"lgc2","steelmakingFurnaceCode":"lgl2","refiningFurnaceCode":"jlu2","ladleCode":"gb2","continuousCasterCode":"lzj222","createUserId":"","createUserName":null,"updateUserId":null,"updateUserName":null,"remark":null,"delete":false}
     * steelWorks : null
     * steelFurnList : null
     * steelRefFurnList : null
     * steelLadleList : null
     * castInfo : null
     * castLadle : null
     * covAgent : null
     * mouldFlu : null
     * productList : null
     * supplyList : null
     * stockList : null
     * otherSupList : null
     * otherLadleList : null
     * settleList : null
     * delete : null
     */
    private MachineDetailBean.CastInfoBean castInfo;
    private MachineDetailBean.CastLadleBean castLadle;
//    private MachineDetailBean.CovAgentBean covAgent;
//    private MachineDetailBean.MouldFluBean mouldFlu;
    private List<MachineDetailBean.ProductListBean> productList;
    private List<MachineDetailBean.SupplyListBean> supplyList;
    private List<MachineDetailBean.StockListBean> stockList;
    private List<MachineDetailBean.OtherSupListBean> otherSupList;
    private List<MachineDetailBean.OtherLadleListBean> otherLadleList;
    private List<MachineDetailBean.SettleListBean> settleList;
    private List<MachineDetailBean.SpeedsBean> speeds;
    private Object id;
    private Object createDateTime;
    private Object updateDateTime;
    private MainInfoBean mainInfo;
    private SteelInfoBean steelInfo;
    private FactoryDetailBean.SteelWorksBean steelWorks;
    private List<FactoryDetailBean.SteelFurnListBean> steelFurnList;
    private List<FactoryDetailBean.SteelRefFurnListBean> steelRefFurnList;
    private List<FactoryDetailBean.SteelLadleListBean> steelLadleList;
    private Object delete;

    public List<MachineDetailBean.SpeedsBean> getSpeeds() {
        return speeds;
    }

    public void setSpeeds(List<MachineDetailBean.SpeedsBean> speeds) {
        this.speeds = speeds;
    }

    public MachineDetailBean.CastInfoBean getCastInfo() {
        return castInfo;
    }

    public void setCastInfo(MachineDetailBean.CastInfoBean castInfo) {
        this.castInfo = castInfo;
    }

    public MachineDetailBean.CastLadleBean getCastLadle() {
        return castLadle;
    }

    public void setCastLadle(MachineDetailBean.CastLadleBean castLadle) {
        this.castLadle = castLadle;
    }

//    public MachineDetailBean.CovAgentBean getCovAgent() {
//        return covAgent;
//    }
//
//    public void setCovAgent(MachineDetailBean.CovAgentBean covAgent) {
//        this.covAgent = covAgent;
//    }
//
//    public MachineDetailBean.MouldFluBean getMouldFlu() {
//        return mouldFlu;
//    }
//
//    public void setMouldFlu(MachineDetailBean.MouldFluBean mouldFlu) {
//        this.mouldFlu = mouldFlu;
//    }

    public List<MachineDetailBean.ProductListBean> getProductList() {
        return productList;
    }

    public void setProductList(List<MachineDetailBean.ProductListBean> productList) {
        this.productList = productList;
    }

    public List<MachineDetailBean.SupplyListBean> getSupplyList() {
        return supplyList;
    }

    public void setSupplyList(List<MachineDetailBean.SupplyListBean> supplyList) {
        this.supplyList = supplyList;
    }

    public List<MachineDetailBean.StockListBean> getStockList() {
        return stockList;
    }

    public void setStockList(List<MachineDetailBean.StockListBean> stockList) {
        this.stockList = stockList;
    }

    public List<MachineDetailBean.OtherSupListBean> getOtherSupList() {
        return otherSupList;
    }

    public void setOtherSupList(List<MachineDetailBean.OtherSupListBean> otherSupList) {
        this.otherSupList = otherSupList;
    }

    public List<MachineDetailBean.OtherLadleListBean> getOtherLadleList() {
        return otherLadleList;
    }

    public void setOtherLadleList(List<MachineDetailBean.OtherLadleListBean> otherLadleList) {
        this.otherLadleList = otherLadleList;
    }

    public List<MachineDetailBean.SettleListBean> getSettleList() {
        return settleList;
    }

    public void setSettleList(List<MachineDetailBean.SettleListBean> settleList) {
        this.settleList = settleList;
    }

    public Object getId() {
        return id;
    }

    public void setId(Object id) {
        this.id = id;
    }

    public Object getCreateDateTime() {
        return createDateTime;
    }

    public void setCreateDateTime(Object createDateTime) {
        this.createDateTime = createDateTime;
    }

    public Object getUpdateDateTime() {
        return updateDateTime;
    }

    public void setUpdateDateTime(Object updateDateTime) {
        this.updateDateTime = updateDateTime;
    }

    public MainInfoBean getMainInfo() {
        return mainInfo;
    }

    public void setMainInfo(MainInfoBean mainInfo) {
        this.mainInfo = mainInfo;
    }

    public SteelInfoBean getSteelInfo() {
        return steelInfo;
    }

    public void setSteelInfo(SteelInfoBean steelInfo) {
        this.steelInfo = steelInfo;
    }

    public FactoryDetailBean.SteelWorksBean getSteelWorks() {
        return steelWorks;
    }

    public void setSteelWorks(FactoryDetailBean.SteelWorksBean steelWorks) {
        this.steelWorks = steelWorks;
    }

    public List<FactoryDetailBean.SteelFurnListBean> getSteelFurnList() {
        return steelFurnList;
    }

    public void setSteelFurnList(List<FactoryDetailBean.SteelFurnListBean> steelFurnList) {
        this.steelFurnList = steelFurnList;
    }

    public List<FactoryDetailBean.SteelRefFurnListBean> getSteelRefFurnList() {
        return steelRefFurnList;
    }

    public void setSteelRefFurnList(List<FactoryDetailBean.SteelRefFurnListBean> steelRefFurnList) {
        this.steelRefFurnList = steelRefFurnList;
    }

    public List<FactoryDetailBean.SteelLadleListBean> getSteelLadleList() {
        return steelLadleList;
    }

    public void setSteelLadleList(List<FactoryDetailBean.SteelLadleListBean> steelLadleList) {
        this.steelLadleList = steelLadleList;
    }

    public Object getDelete() {
        return delete;
    }

    public void setDelete(Object delete) {
        this.delete = delete;
    }

    public static class MainInfoBean {
        /**
         * id : 31
         * isDelete : null
         * createDateTime : null
         * updateDateTime : null
         * feedbackInfoNo : FEED20040100099
         * customerUserCode : cust2
         * customerUserName : 客户2
         * salesCompanyCode : company2
         * salesCompanyName : 公司2
         * salesManagerCode : manager3
         * salesManagerName : 经理3
         * steelmakingInfoCode : STEEL20040100099
         * feedbackDateTime : null
         * createUserId :
         * createUserName : null
         * updateUserId : 398c852b38e911ea8334fa163e1166bd
         * updateUserName : hello
         * isCustomerArchives : false
         * approvalUserId : 398c852b38e911ea8334fa163e1166bd
         * approvalUserName : hello
         * approvalDateTime : 1586253261000
         * approvalStatus : 2
         * remark : null
         * treeId : null
         * treeName : null
         * treeParentId : null
         * steelmakingWorksCode : null
         * steelmakingWorksName : null
         * annualOutput : null
         * steelGrade : null
         * continuousCasterName : null
         * continuousCasterType : null
         * delete : null
         */

        private String id;
        private Object isDelete;
        private long createDateTime;
        private long updateDateTime;
        private String feedbackInfoNo;
        private String customerUserCode;
        private String customerUserName;
        private String salesCompanyCode;
        private String salesCompanyName;
        private String salesManagerCode;
        private String salesManagerName;
        private String steelmakingInfoCode;
        private Object feedbackDateTime;
        private String createUserId;
        private String createUserName;
        private String updateUserId;
        private String updateUserName;
        private boolean isCustomerArchives;
        private String approvalUserId;
        private String approvalUserName;
        private long approvalDateTime;
        private int approvalStatus;
        private String remark;
        private Object treeId;
        private Object treeName;
        private Object treeParentId;
        private String steelmakingWorksCode;
        private String steelmakingWorksName;
        private Object annualOutput;
        private Object steelGrade;
        private String continuousCasterName;
        private Object continuousCasterType;
        private Object delete;
        private String continuousCasterCode;

        public String getContinuousCasterCode() {
            return continuousCasterCode;
        }

        public void setContinuousCasterCode(String continuousCasterCode) {
            this.continuousCasterCode = continuousCasterCode;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public Object getIsDelete() {
            return isDelete;
        }

        public void setIsDelete(Object isDelete) {
            this.isDelete = isDelete;
        }

        public long getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(long createDateTime) {
            this.createDateTime = createDateTime;
        }

        public long getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(long updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getFeedbackInfoNo() {
            return feedbackInfoNo;
        }

        public void setFeedbackInfoNo(String feedbackInfoNo) {
            this.feedbackInfoNo = feedbackInfoNo;
        }

        public String getCustomerUserCode() {
            return customerUserCode;
        }

        public void setCustomerUserCode(String customerUserCode) {
            this.customerUserCode = customerUserCode;
        }

        public String getCustomerUserName() {
            return customerUserName;
        }

        public void setCustomerUserName(String customerUserName) {
            this.customerUserName = customerUserName;
        }

        public String getSalesCompanyCode() {
            return salesCompanyCode;
        }

        public void setSalesCompanyCode(String salesCompanyCode) {
            this.salesCompanyCode = salesCompanyCode;
        }

        public String getSalesCompanyName() {
            return salesCompanyName;
        }

        public void setSalesCompanyName(String salesCompanyName) {
            this.salesCompanyName = salesCompanyName;
        }

        public String getSalesManagerCode() {
            return salesManagerCode;
        }

        public void setSalesManagerCode(String salesManagerCode) {
            this.salesManagerCode = salesManagerCode;
        }

        public String getSalesManagerName() {
            return salesManagerName;
        }

        public void setSalesManagerName(String salesManagerName) {
            this.salesManagerName = salesManagerName;
        }

        public String getSteelmakingInfoCode() {
            return steelmakingInfoCode;
        }

        public void setSteelmakingInfoCode(String steelmakingInfoCode) {
            this.steelmakingInfoCode = steelmakingInfoCode;
        }

        public Object getFeedbackDateTime() {
            return feedbackDateTime;
        }

        public void setFeedbackDateTime(Object feedbackDateTime) {
            this.feedbackDateTime = feedbackDateTime;
        }

        public String getCreateUserId() {
            return createUserId;
        }

        public void setCreateUserId(String createUserId) {
            this.createUserId = createUserId;
        }

        public String getCreateUserName() {
            return createUserName;
        }

        public void setCreateUserName(String createUserName) {
            this.createUserName = createUserName;
        }

        public String getUpdateUserId() {
            return updateUserId;
        }

        public void setUpdateUserId(String updateUserId) {
            this.updateUserId = updateUserId;
        }

        public String getUpdateUserName() {
            return updateUserName;
        }

        public void setUpdateUserName(String updateUserName) {
            this.updateUserName = updateUserName;
        }

        public boolean isIsCustomerArchives() {
            return isCustomerArchives;
        }

        public void setIsCustomerArchives(boolean isCustomerArchives) {
            this.isCustomerArchives = isCustomerArchives;
        }

        public String getApprovalUserId() {
            return approvalUserId;
        }

        public void setApprovalUserId(String approvalUserId) {
            this.approvalUserId = approvalUserId;
        }

        public String getApprovalUserName() {
            return approvalUserName;
        }

        public void setApprovalUserName(String approvalUserName) {
            this.approvalUserName = approvalUserName;
        }

        public long getApprovalDateTime() {
            return approvalDateTime;
        }

        public void setApprovalDateTime(long approvalDateTime) {
            this.approvalDateTime = approvalDateTime;
        }

        public int getApprovalStatus() {
            return approvalStatus;
        }

        public void setApprovalStatus(int approvalStatus) {
            this.approvalStatus = approvalStatus;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public Object getTreeId() {
            return treeId;
        }

        public void setTreeId(Object treeId) {
            this.treeId = treeId;
        }

        public Object getTreeName() {
            return treeName;
        }

        public void setTreeName(Object treeName) {
            this.treeName = treeName;
        }

        public Object getTreeParentId() {
            return treeParentId;
        }

        public void setTreeParentId(Object treeParentId) {
            this.treeParentId = treeParentId;
        }

        public String getSteelmakingWorksCode() {
            return steelmakingWorksCode;
        }

        public void setSteelmakingWorksCode(String steelmakingWorksCode) {
            this.steelmakingWorksCode = steelmakingWorksCode;
        }

        public String getSteelmakingWorksName() {
            return steelmakingWorksName;
        }

        public void setSteelmakingWorksName(String steelmakingWorksName) {
            this.steelmakingWorksName = steelmakingWorksName;
        }

        public Object getAnnualOutput() {
            return annualOutput;
        }

        public void setAnnualOutput(Object annualOutput) {
            this.annualOutput = annualOutput;
        }

        public Object getSteelGrade() {
            return steelGrade;
        }

        public void setSteelGrade(Object steelGrade) {
            this.steelGrade = steelGrade;
        }

        public String getContinuousCasterName() {
            return continuousCasterName;
        }

        public void setContinuousCasterName(String continuousCasterName) {
            this.continuousCasterName = continuousCasterName;
        }

        public Object getContinuousCasterType() {
            return continuousCasterType;
        }

        public void setContinuousCasterType(Object continuousCasterType) {
            this.continuousCasterType = continuousCasterType;
        }

        public Object getDelete() {
            return delete;
        }

        public void setDelete(Object delete) {
            this.delete = delete;
        }
    }

    public static class SteelInfoBean {
        /**
         * id : 21
         * createDateTime : null
         * updateDateTime : null
         * steelmakingInfoCode : STEEL20040100099
         * steelmakingWorksCode : lgc2
         * steelmakingFurnaceCode : lgl2
         * refiningFurnaceCode : jlu2
         * ladleCode : gb2
         * continuousCasterCode : lzj222
         * createUserId :
         * createUserName : null
         * updateUserId : null
         * updateUserName : null
         * remark : null
         * delete : false
         */

        private String id;
        private Object createDateTime;
        private Object updateDateTime;
        private String steelmakingInfoCode;
        private String steelmakingWorksCode;
        private String steelmakingFurnaceCode;
        private String refiningFurnaceCode;
        private String ladleCode;
        private String continuousCasterCode;
        private String createUserId;
        private Object createUserName;
        private Object updateUserId;
        private Object updateUserName;
        private Object remark;
        private boolean delete;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public Object getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(Object createDateTime) {
            this.createDateTime = createDateTime;
        }

        public Object getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(Object updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getSteelmakingInfoCode() {
            return steelmakingInfoCode;
        }

        public void setSteelmakingInfoCode(String steelmakingInfoCode) {
            this.steelmakingInfoCode = steelmakingInfoCode;
        }

        public String getSteelmakingWorksCode() {
            return steelmakingWorksCode;
        }

        public void setSteelmakingWorksCode(String steelmakingWorksCode) {
            this.steelmakingWorksCode = steelmakingWorksCode;
        }

        public String getSteelmakingFurnaceCode() {
            return steelmakingFurnaceCode;
        }

        public void setSteelmakingFurnaceCode(String steelmakingFurnaceCode) {
            this.steelmakingFurnaceCode = steelmakingFurnaceCode;
        }

        public String getRefiningFurnaceCode() {
            return refiningFurnaceCode;
        }

        public void setRefiningFurnaceCode(String refiningFurnaceCode) {
            this.refiningFurnaceCode = refiningFurnaceCode;
        }

        public String getLadleCode() {
            return ladleCode;
        }

        public void setLadleCode(String ladleCode) {
            this.ladleCode = ladleCode;
        }

        public String getContinuousCasterCode() {
            return continuousCasterCode;
        }

        public void setContinuousCasterCode(String continuousCasterCode) {
            this.continuousCasterCode = continuousCasterCode;
        }

        public String getCreateUserId() {
            return createUserId;
        }

        public void setCreateUserId(String createUserId) {
            this.createUserId = createUserId;
        }

        public Object getCreateUserName() {
            return createUserName;
        }

        public void setCreateUserName(Object createUserName) {
            this.createUserName = createUserName;
        }

        public Object getUpdateUserId() {
            return updateUserId;
        }

        public void setUpdateUserId(Object updateUserId) {
            this.updateUserId = updateUserId;
        }

        public Object getUpdateUserName() {
            return updateUserName;
        }

        public void setUpdateUserName(Object updateUserName) {
            this.updateUserName = updateUserName;
        }

        public Object getRemark() {
            return remark;
        }

        public void setRemark(Object remark) {
            this.remark = remark;
        }

        public boolean isDelete() {
            return delete;
        }

        public void setDelete(boolean delete) {
            this.delete = delete;
        }
    }
}
